Subject: Re: bug#58137: 28.1; M-x setenv RET PATH RET should default to the current $PATH

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 29 Sep 2022 13:26:44 +1000

On Wed 28 Sep 2022 13:14:10 +0200, Lars Ingebrigtsen wrote:
> "Trent W. Buck" <[email-masked]> writes:
> 
> > I wish M-x setenv, when setting a variable that already has a value,
> > defaulted to that value (instead of the empty string).
> >
> > This would make it easier to make minor adjustments to a long messy value.
> > The history is already there (M-p), but it's input history.
> > If the variable was initially set outside of Emacs, it won't be in history.
> 
> M-x setenv RET PATH RET M-n
> 
> will bring you the current value from the "future history".  This is how
> most prompting commands in Emacs work.

I confirm that this works -- thanks.

I can't believe I never discovered this before!
If I had known about this 20 years ago I might not have bothered with ido :-P